<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'ВНИМАНИЕ! После удаления доменной зоны ваш домен перестанет быть доступен из Internet. При удалении WWW домена будут удалены все его файлы. Если же вы удалите почтовый домен, также будут удалены все почтовые ящики, почтовые группы, перенаправления и автоответчики относящиеся к нему.' . "\n";
    echo '<hr />' . "\n";
    echo 'Вы действительно хотите удалить доменное имя ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '</div>' . "\n";
    echo '<form action="?func=domain.delete&amp;elid=' . urlencode($_GET['elid']) . '&amp;sok=yes" method="post">' . "\n";
    echo '<input type="checkbox" name="webdomain" value="on" /> Удалить WWW домен<br />' . "\n";
    echo '<input type="checkbox" name="maildomain" value="on" /> Удалить почтовый домен<br />' . "\n";
    echo '<input name="submit" type="submit" value="Удалить" /><br />' . "\n";
    echo '</form>' . "\n";
    echo '</div>' . "\n";
    echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=domain">Отмена</a><br />' . "\n";
    echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
} else {
    $webdomain = isset($_POST['webdomain'])?'on':'';
    $maildomain = isset($_POST['maildomain'])?'on':'';
    $content = api_query('https://' . $server . '/manager/ispmgr?func=domain.delete&elid=' . urlencode($_GET['elid']) . '&webdomain=' . $webdomain . '&maildomain=' . $maildomain . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        if ($webdomain == 'on') {
            echo 'Подождите несколько секунд, для перезагрузки сервера, и нажмите &quot;продолжить&quot;.<br />' . "\n";
        }
        echo 'Доменное имя успешно удалено!<br />' . "\n";
        echo '<a href="?func=domain">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
        if ($webdomain == 'on') {
            api_query('https://' . $server . '/manager/ispmgr?func=restart&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        }
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при удалении доменного имени!<br />' . "\n";
        echo '<a href="?func=domain">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>